Bug 182537 - update to devel/php-libawl
Summary: update to devel/php-libawl
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-01 07:40 UTC by Maurice Castro
Modified: 2013-11-26 00:10 UTC (History)
0 users

See Also:


Attachments
file.diff (1019 bytes, patch)
2013-10-01 07:40 UTC, Maurice Castro
no flags Details | Diff
php-libawl.diff (1.44 KB, patch)
2013-11-06 16:55 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Maurice Castro 2013-10-01 07:40:00 UTC
	patch to bring libawl up to date

How-To-Repeat: 	Note master sites seem to have changed
Comment 1 Edwin Groothuis freebsd_committer 2013-10-02 03:47:22 UTC
Maintainer of devel/php-libawl,

Please note that PR ports/182537 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/182537

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-10-02 03:47:23 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Cristiano Rolim Pereira 2013-10-18 02:04:45 UTC
Ok, I approve this patch.
Please update the port with my new mail address:
cristianorolim@outlook.com
Thanks.____Cristiano Rolim 		 	   		  =
Comment 4 Guido Falsi freebsd_committer 2013-11-06 15:26:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 5 Guido Falsi freebsd_committer 2013-11-06 16:55:38 UTC
Hi,

I have also modified the port to perform staging:

http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/special.html#staging

Can you approve this further patch?

Thank you in advance.

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 6 dfilter service freebsd_committer 2013-11-26 00:07:05 UTC
Author: madpilot
Date: Tue Nov 26 00:06:57 2013
New Revision: 334907
URL: http://svnweb.freebsd.org/changeset/ports/334907

Log:
  - Update to 0.54
  - Convert to staging
  
  PR:		ports/182537
  Submitted by:	Maurice Castro <maurice@atum.castro.aus.net>
  Approved by:	maintainer timeout

Modified:
  head/devel/php-libawl/Makefile
  head/devel/php-libawl/distinfo   (contents, props changed)

Modified: head/devel/php-libawl/Makefile
==============================================================================
--- head/devel/php-libawl/Makefile	Mon Nov 25 23:59:04 2013	(r334906)
+++ head/devel/php-libawl/Makefile	Tue Nov 26 00:06:57 2013	(r334907)
@@ -2,13 +2,12 @@
 # $FreeBSD$
 
 PORTNAME=	php-libawl
-PORTVERSION=	0.53
+PORTVERSION=	0.54
 CATEGORIES=	devel
-MASTER_SITES=	http://debian.mcmillan.net.nz/packages/awl/ \
-		SF/rscds/awl/${PORTVERSION}
+MASTER_SITES=	http://debian.mcmillan.net.nz/debian/pool/awm/a/awl/
 DISTNAME=	awl-${PORTVERSION}
 
-MAINTAINER=	cristianorolim@hotmail.com
+MAINTAINER=	cristianorolim@outlook.com
 COMMENT=	Andrew.s Web Libraries - PHP Utility Libraries
 
 WRKSRC=		${WRKDIR}/awl-${PORTVERSION}
@@ -16,7 +15,6 @@ WRKSRC=		${WRKDIR}/awl-${PORTVERSION}
 OPTIONS_DEFINE=	PHP
 OPTIONS_DEFAULT=	PHP
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MPHP}
@@ -34,7 +32,7 @@ post-patch:
 	${RM} -f ${WRKSRC}/inc/*.orig
 
 do-install:
-	${MKDIR} ${PREFIX}/${LIBAWLDIR}/
-	cd ${WRKSRC} && ${CP} -pR dba inc ${PREFIX}/${LIBAWLDIR}/
+	${MKDIR} ${STAGEDIR}${PREFIX}/${LIBAWLDIR}
+	cd ${WRKSRC} && ${CP} -pR dba inc ${STAGEDIR}${PREFIX}/${LIBAWLDIR}/
 
 .include <bsd.port.mk>

Modified: head/devel/php-libawl/distinfo
==============================================================================
--- head/devel/php-libawl/distinfo	Mon Nov 25 23:59:04 2013	(r334906)
+++ head/devel/php-libawl/distinfo	Tue Nov 26 00:06:57 2013	(r334907)
@@ -1,2 +1,2 @@
-SHA256 (awl-0.53.tar.gz) = 8b012f6df172c70af2eb7f9f860b391429b3a261499c904d906532c34aee59ee
-SIZE (awl-0.53.tar.gz) = 308256
+SHA256 (awl-0.54.tar.gz) = 9bfdae0ce11009bfb225ce6bc96313a4f655754fd9dc490decdadffedead3ae7
+SIZE (awl-0.54.tar.gz) = 309467
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Guido Falsi freebsd_committer 2013-11-26 00:08:04 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!